using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace test
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int[] niz = new int[n];
            int[] drugovi = new int[n];
            int zbir = 0;
            for (int i = 0; i < n; i++)
            {
                niz[i] = int.Parse(Console.ReadLine());
            }
            for (int i = 0; i < m; i++)
            {
                s = Console.ReadLine().Split();
                int prvi = int.Parse(s[0]);
                int drugi = int.Parse(s[1]);
                bool prviNegativan = (niz[prvi - 1] < 0);
                bool drugiNegativan = (niz[drugi - 1] < 0);
                if (prviNegativan && drugiNegativan)
                {
                    drugovi[prvi - 1] -= 1;
                    drugovi[drugi - 1] -= 1;
                }
                else if (!prviNegativan && !drugiNegativan)
                {
                    drugovi[prvi - 1] += 1;
                    drugovi[drugi - 1] += 1;
                }
                else
                {
                    if (!prviNegativan && drugiNegativan)
                    {
                        if (Math.Abs(drugi) > prvi)
                        {
                            drugovi[prvi - 1] -= 1;
                            drugovi[drugi - 1] -= 1;
                        }
                        else
                        {
                            drugovi[prvi - 1] += 1;
                            drugovi[drugi - 1] += 1;
                        }
                    }
                    else if (prviNegativan && !drugiNegativan)
                    {
                        if (Math.Abs(prvi) > drugi)
                        {
                            drugovi[prvi - 1] -= 1;
                            drugovi[drugi - 1] -= 1;
                        }
                        else
                        {
                            drugovi[prvi - 1] += 1;
                            drugovi[drugi - 1] += 1;
                        }
                    }
                }
            }
            for (int i = 0; i < n; i++)
            {
                zbir += (niz[i] * drugovi[i]);
            }
            Console.WriteLine(zbir);
        }
    }
}